Bug 122629 - [NEW PORT] devel/p5-BS-Event: A class that provides an event callback interface
Summary: [NEW PORT] devel/p5-BS-Event: A class that provides an event callback interface
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-10 16:30 UTC by gslin
Modified: 2008-04-20 15:10 UTC (History)
1 user (show)

See Also:


Attachments
p5-BS-Event-0.3.shar (2.24 KB, text/plain)
2008-04-10 16:30 UTC, gslin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2008-04-10 16:30:00 UTC
This module was mainly written for Net::XMPP2, Net::IRC3 and BS to
provide a consistent API for registering and emitting events. Even
though I originally wrote it for those modules I relased it seperately
in case anyone may find this module useful.

WWW:	http://search.cpan.org/dist/BS-Event/

Generated with FreeBSD Port Tools 0.77
Comment 1 Marcelo Araujo freebsd_committer 2008-04-11 12:56:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 dfilter service freebsd_committer 2008-04-20 15:04:49 UTC
araujo      2008-04-20 14:04:44 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-BS-Event    Makefile distinfo pkg-descr pkg-plist 
  Log:
  This module was mainly written for Net::XMPP2, Net::IRC3 and BS to
  provide a consistent API for registering and emitting events. Even
  though I originally wrote it for those modules I relased it seperately
  in case anyone may find this module useful.
  
  WWW:    http://search.cpan.org/dist/BS-Event/
  
  PR:             ports/122629
  Submitted by:   Gean-Suan Lin <gslin@gslin.org>
  
  Revision  Changes    Path
  1.3041    +1 -0      ports/devel/Makefile
  1.1       +26 -0     ports/devel/p5-BS-Event/Makefile (new)
  1.1       +3 -0      ports/devel/p5-BS-Event/distinfo (new)
  1.1       +6 -0      ports/devel/p5-BS-Event/pkg-descr (new)
  1.1       +8 -0      ports/devel/p5-BS-Event/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2008-04-20 15:07:05 UTC
araujo      2008-04-20 14:06:52 UTC

  FreeBSD ports repository

  Modified files:
    .                    modules 
  Log:
  p5-BS-Event --> ports/devel/p5-BS-Event
  
  PR:             ports/122629
  Submitted by:   Gean-Suan Lin <gslin@gslin.org>
  
  Revision  Changes    Path
  1.19676   +3 -2      CVSROOT/modules
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Marcelo Araujo freebsd_committer 2008-04-20 15:07:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!